# Class MavenPublishPlugin

java.lang.Object
org.gradle.api.publish.maven.plugins.MavenPublishPlugin

All Implemented Interfaces:
  `Plugin<Project>`

@Incubating public class MavenPublishPlugin extends Object implements Plugin<Project>
Adds the ability to publish in the Maven format to Maven repositories.

Since:
  1.4

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PUBLISH_LOCAL_LIFECYCLE_TASK_NAME`

## Constructor Summary

Constructors
Constructor
Description
`MavenPublishPlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.artifacts.configurations.DependencyMetaDataProvider dependencyMetaDataProvider, org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.api.publish.internal.ProjectDependencyPublicationResolver projectDependencyResolver, org.gradle.api.internal.file.FileCollectionFactory fileCollectionFactory, org.gradle.api.internal.ExperimentalFeatures experimentalFeatures)`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(Project project)`
Apply this plugin to the given target object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PUBLISH_LOCAL_LIFECYCLE_TASK_NAME

public static final String PUBLISH_LOCAL_LIFECYCLE_TASK_NAME

See Also:
  - Constant Field Values

## Constructor Details

### MavenPublishPlugin

@Inject public MavenPublishPlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.artifacts.configurations.DependencyMetaDataProvider dependencyMetaDataProvider, org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.api.publish.internal.ProjectDependencyPublicationResolver projectDependencyResolver, org.gradle.api.internal.file.FileCollectionFactory fileCollectionFactory, org.gradle.api.internal.ExperimentalFeatures experimentalFeatures)

## Method Details

### apply

public void apply(Project project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<Project>`
Parameters:
  `project` - The target object